## libgdal-grass 1.0.3

=== CMakeLists.txt ===
# ##############################################################################
# CMake settings
cmake_minimum_required(VERSION 3.10.0)
set(CMAKE_COLOR_MAKEFILE ON)

# set path to additional CMake modules
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})

# specify the C++ standard
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# ##############################################################################
# Project and version
set(CPACK_PACKAGE_VERSION_MAJOR "1")
set(CPACK_PACKAGE_VERSION_MINOR "0")
set(CPACK_PACKAGE_VERSION_PATCH "3")
set(COMPLETE_VERSION
    ${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}
)
project(gdal-grass VERSION ${COMPLETE_VERSION})
include(CTest)

# ##############################################################################
# Dependencies and flags
find_package(GDAL REQUIRED)
find_package(GRASS REQUIRED)
find_package(PostgreSQL)
find_package(PROJ)

if(NOT AUTOLOAD_DIR)
  exec_program(
    ${GDAL_CONFIG} ARGS
    --prefix
    OUTPUT_VARIABLE GDALPREFIX)
  set(AUTOLOAD_DIR ${GDALPREFIX}/lib/gdalplugins)
  if(NOT AUTOLOAD_DIR)
    message(FATAL_ERROR "Could not set GDAL plugin path")
  endif()
endif()
message(
  STATUS "Using ${AUTOLOAD_DIR} as GDAL shared library autoload directory")

set(CMAKE_CXX_FLAGS
    "${CMAKE_CXX_FLAGS} -DUSE_CPL -DGRASS_GISBASE=\\\"${GRASS_GISBASE}\\\"")

# ##############################################################################
# Build
set(GLIB_SOURCES grass.cpp)
set(OLIB_SOURCES ogrgrassdriver.cpp ogrgrassdatasource.cpp ogrgrasslayer.cpp ogrgrass.h)

add_library(gdal_grass SHARED ${GLIB_SOURCES})
set_target_properties(gdal_grass PROPERTIES PREFIX "")
set_target_properties(gdal_grass PROPERTIES OUTPUT_NAME "gdal_GRASS")
set_target_properties(gdal_grass PROPERTIES INSTALL_RPATH "${GRASS_GISBASE}/lib")
target_include_directories(
  gdal_grass PRIVATE ${CMAKE_SOURCE_DIR} ${GDAL_INCLUDE_DIR} ${PostgreSQL_INCLUDE_DIRS}
                     ${GRASS_INCLUDE} ${PROJ_INCLUDE_DIRS})
target_link_libraries(gdal_grass PUBLIC ${GDAL_LIBRARY} ${G_LIBS})
install(TARGETS gdal_grass DESTINATION ${AUTOLOAD_DIR})

add_library(ogr_grass SHARED ${OLIB_SOURCES})
set_target_properties(ogr_grass PROPERTIES PREFIX "")
set_target_properties(ogr_grass PROPERTIES OUTPUT_NAME "ogr_GRASS")
set_target_properties(ogr_grass PROPERTIES INSTALL_RPATH "${GRASS_GISBASE}/lib")
target_include_directories(
  ogr_grass PRIVATE ${CMAKE_SOURCE_DIR} ${GDAL_INCLUDE_DIR} ${PostgreSQL_INCLUDE_DIRS}
                    ${GRASS_INCLUDE} ${PROJ_INCLUDE_DIRS})
target_link_libraries(ogr_grass PUBLIC ${GDAL_LIBRARY} ${G_LIBS})
install(TARGETS ogr_grass DESTINATION ${AUTOLOAD_DIR})

# ##############################################################################
# Tests

if (Python_LOOKUP_VERSION)
    set(Python_FIND_STRATEGY VERSION)
    find_package(Python ${Python_LOOKUP_VERSION} EXACT COMPONENTS Interpreter Development NumPy)
else ()
    set(Python_FIND_STRATEGY LOCATION)
    find_package(Python 3.11 COMPONENTS Interpreter Development NumPy)
endif ()

if (BUILD_TESTING AND EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/autotest")
    add_subdirectory(autotest)
endif ()

## libgdal-grass 1.0.1

=== debian/changelog ===
libgdal-grass (1:1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, applied upstream.
  * Add docs file to install Markdown documentation.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 14 Jun 2022 15:11:07 +0200

libgdal-grass (1:1.0.0-2) unstable; urgency=medium

  * Add patch to fix undefined symbol issues.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 13 Jun 2022 21:34:48 +0200

libgdal-grass (1:1.0.0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 11 Jun 2022 08:11:50 +0200

libgdal-grass (1:1.0.0-1~exp1) experimental; urgency=medium

  * New upstream release.
    - Use epoch to deal with versioning separate from gdal.
  * Remove VERSION check.
  * Add upstream metadata.
  * Update watch file to use GitHub tags.
  * Use Multi-Arch path for gdalplugins with GDAL 3.5.0.
  * Drop rpath patch, fixed upstream.
  * Drop obsolete dirs file.
  * Drop obsolete dh_autoreconf overrides.
  * Add patch to support DESTDIR, drop obsolete dh_auto_install override.
  * Add patch to not remove -g from C{,XX}FLAGS.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 May 2022 11:22:30 +0200

libgdal-grass (3.4.3-3) unstable; urgency=medium

  * Update packaging for GRASS 8.2.0.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 04 Jun 2022 12:58:26 +0200

libgdal-grass (3.4.3-2) unstable; urgency=medium

  * Update packaging for GRASS 8.0.2.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 12 May 2022 16:59:05 +0200

libgdal-grass (3.4.3-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 04 May 2022 11:38:40 +0200

libgdal-grass (3.4.3~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop Ubuntu PIE changes.
  * Update watch file to match only 3.4.x releases.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 22 Apr 2022 13:31:26 +0200

libgdal-grass (3.4.2-2) unstable; urgency=medium

  * Update packaging for GRASS 8.0.1.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 20 Mar 2022 07:17:56 +0100

libgdal-grass (3.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Revert GRASS 8 changes.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 14 Mar 2022 13:00:03 +0100

libgdal-grass (3.4.2~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 08 Mar 2022 18:22:04 +0100

libgdal-grass (3.4.1-4~exp1) experimental; urgency=medium

  * Update packaging for GRASS 8.0.1.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Mar 2022 20:05:50 +0100

libgdal-grass (3.4.1-3) unstable; urgency=medium

  * Update packaging for GRASS 7.8.7.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 23 Feb 2022 19:34:26 +0100

libgdal-grass (3.4.1-2) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 04 Jan 2022 14:45:30 +0100

libgdal-grass (3.4.1-1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 04 Jan 2022 12:31:31 +0100

libgdal-grass (3.4.1~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 28 Dec 2021 06:07:16 +0100

libgdal-grass (3.4.0-1) unstable; urgency=medium

  * Update lintian overrides.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 08 Dec 2021 13:40:46 +0100

libgdal-grass (3.4.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 08 Nov 2021 16:09:34 +0100

libgdal-grass (3.4.0~rc3-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 06 Nov 2021 15:07:27 +0100

libgdal-grass (3.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 29 Oct 2021 17:28:47 +0200

libgdal-grass (3.3.3~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 25 Oct 2021 16:11:34 +0200

libgdal-grass (3.3.2-2) unstable; urgency=medium

  * Bump debhelper compat to 12, no changes.
  * Update packaging for GRASS 7.8.6.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 10 Oct 2021 17:00:19 +0200

libgdal-grass (3.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes.
  * Update watch file to handle pre-releases in dirversion.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 07 Sep 2021 13:28:26 +0200

libgdal-grass (3.3.2~rc3-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Sep 2021 17:50:47 +0200

libgdal-grass (3.3.1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 05 Jul 2021 15:03:01 +0200

libgdal-grass (3.3.1~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 28 Jun 2021 14:18:15 +0200

libgdal-grass (3.3.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 03 May 2021 15:04:00 +0200

libgdal-grass (3.3.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 26 Apr 2021 15:16:11 +0200

libgdal-grass (3.3.0~beta1-1~exp1) experimental; urgency=medium

  * New upstream beta release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 20 Apr 2021 08:11:34 +0200

libgdal-grass (3.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.



=== debian/control ===
Source: libgdal-grass
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               grass (>= 8.2.0),
               grass-dev (>= 8.2.0),
               libgdal-dev (>= 3.5.0),
               libpq-dev,
               pkg-config
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/gdal-grass
Vcs-Git: https://salsa.debian.org/debian-gis-team/gdal-grass.git
Homepage: https://github.com/OSGeo/gdal-grass

Package: libgdal-grass
Architecture: any
Section: libs
Depends: ${grass:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: gdal-bin
Description: GRASS extension for the GDAL library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. This extension
 provides access to GRASS data via GDAL.
 .
 This package provides the GDAL GRASS plugin.

## libgdal-grass 1.0.2

=== debian/changelog ===
libgdal-grass (1:1.0.2-4) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2, no changes.
  * Update packaging for GRASS 8.2.1.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 22 Jan 2023 07:48:53 +0100

libgdal-grass (1:1.0.2-3) unstable; urgency=medium

  * Add Rules-Requires-Root to control file.
  * Update README.source for GRASS version check changes.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 02 Dec 2022 11:53:10 +0100

libgdal-grass (1:1.0.2-2) unstable; urgency=medium

  * Catch wget & tar errors in autopkgtest.
  * Limit autopkgtest to 64bit architectures.
    See: https://github.com/OSGeo/grass/issues/2631

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 06 Nov 2022 18:10:07 +0100

libgdal-grass (1:1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop pr13-Add-support-for-GDAL-3.6.0.patch, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 06 Nov 2022 12:17:52 +0100

libgdal-grass (1:1.0.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1, no changes.
  * Add autopkgtest to catch GDAL/GRASS version errors.
  * Enable Salsa CI.
  * Add upstream patch to fix FTBFS with GDAL 3.6.0.
    (closes: #1023506)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 06 Nov 2022 09:01:16 +0100

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,16 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
-               grass (>= 8.2.0),
-               grass-dev (>= 8.2.0),
+               grass (>= 8.2.1),
+               grass-dev (>= 8.2.1),
                libgdal-dev (>= 3.5.0),
                libpq-dev,
                pkg-config
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/gdal-grass
 Vcs-Git: https://salsa.debian.org/debian-gis-team/gdal-grass.git
 Homepage: https://github.com/OSGeo/gdal-grass
+Rules-Requires-Root: no
 
 Package: libgdal-grass
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Don't link with as-needed to prevent missing libraries
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--no-as-needed

ifeq (,$(DEB_HOST_MULTIARCH))
  DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
endif

PKGNAME=$(shell grep Package: debian/control | head -1 | cut -d' ' -f2)
GRASS=grass$(subst .,,$(shell pkg-config --modversion grass | cut -d. -f1,2))
GRASS_ABI=grass$(subst .,,$(shell pkg-config --modversion grass | cut -d. -f1,2,3 | sed -e 's/RC/-/'))

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	                  --with-autoload=/usr/lib/$(DEB_HOST_MULTIARCH)/gdalplugins \
	                  --with-grass=/usr/lib/$(GRASS) \
	                  --with-postgres-includes=$(shell pg_config --includedir)

override_dh_shlibdeps:
	dh_shlibdeps -l.:/usr/lib/$(GRASS)/lib

override_dh_gencontrol:
	dh_gencontrol -- -Vgrass:Depends="$(GRASS_ABI)"

=== debian/tests/control ===
Tests: ogrinfo-gdalinfo
Depends: ca-certificates,
         gdal-bin,
         libgdal-grass,
         wget
Restrictions: needs-internet
Architecture: amd64 arm64 ppc64el s390x

## libgdal-grass 1.0.3

=== debian/changelog ===
libgdal-grass (1:1.0.3-2) unstable; urgency=medium

  * Update packaging for GRASS 8.4.1.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 24 Feb 2025 18:27:10 +0100

libgdal-grass (1:1.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 06 Feb 2025 16:00:29 +0100

libgdal-grass (1:1.0.3~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop rpath.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 04 Feb 2025 14:59:17 +0100

libgdal-grass (1:1.0.3~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Switch to CMake buildsystem.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 17 Dec 2024 13:55:38 +0100

libgdal-grass (1:1.0.2-8) unstable; urgency=medium

  * Bump Standards-Version to 4.7.0, no changes.
  * Update packaging for GRASS 8.4.0.
  * Update watch file to also match pre-releases.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Aug 2024 10:42:07 +0200

libgdal-grass (1:1.0.2-7) unstable; urgency=medium

  * Replace pkg-config build dependency with pkgconf.
  * Update packaging for GRASS 8.3.2.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Mar 2024 07:59:17 +0100

libgdal-grass (1:1.0.2-6) unstable; urgency=medium

  * Ignore ogrinfo failure on 32 bit architectures,
    instead of limiting autopkgtest architectures.
  * Update packaging for GRASS 8.3.1.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 25 Oct 2023 21:47:36 +0200

libgdal-grass (1:1.0.2-5) unstable; urgency=medium

  * Bump debhelper compat to 13.
  * Drop grass build dependency.
  * Update packaging for GRASS 8.3.0.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 27 Jun 2023 06:14:48 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               grass (>= 8.2.1),
-               grass-dev (>= 8.2.1),
+Build-Depends: cmake,
+               debhelper-compat (= 13),
+               grass-dev (>= 8.4.1),
                libgdal-dev (>= 3.5.0),
-               libpq-dev,
-               pkg-config
-Standards-Version: 4.6.2
+               libpq-dev
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/gdal-grass
 Vcs-Git: https://salsa.debian.org/debian-gis-team/gdal-grass.git
 Homepage: https://github.com/OSGeo/gdal-grass

## libgdal-grass 1.0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # Project and version
 set(CPACK_PACKAGE_VERSION_MAJOR "1")
 set(CPACK_PACKAGE_VERSION_MINOR "0")
-set(CPACK_PACKAGE_VERSION_PATCH "3")
+set(CPACK_PACKAGE_VERSION_PATCH "4")
 set(COMPLETE_VERSION
     ${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}
 )

=== debian/changelog ===
libgdal-grass (1:1.0.4-2) unstable; urgency=medium

  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Add upstream patch to fix FTBFS with GDAL 3.12.0.
    (closes: #1118730)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 25 Oct 2025 11:50:27 +0200

libgdal-grass (1:1.0.4-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 10 Aug 2025 07:55:03 +0200

libgdal-grass (1:1.0.4-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 Jun 2025 15:10:16 +0200

libgdal-grass (1:1.0.4~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.7.2, no changes.
  * Make autopkgtest script more verbose.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Jun 2025 21:25:27 +0200

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,10 @@
                grass-dev (>= 8.4.1),
                libgdal-dev (>= 3.5.0),
                libpq-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/gdal-grass
 Vcs-Git: https://salsa.debian.org/debian-gis-team/gdal-grass.git
 Homepage: https://github.com/OSGeo/gdal-grass
-Rules-Requires-Root: no
 
 Package: libgdal-grass
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -19,13 +19,12 @@
 GRASS_ABI=grass$(subst .,,$(shell pkg-config --modversion grass | cut -d. -f1,2,3 | sed -e 's/RC/-/'))
 
 %:
-	dh $@
+	dh $@ --buildsystem cmake
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	                  --with-autoload=/usr/lib/$(DEB_HOST_MULTIARCH)/gdalplugins \
-	                  --with-grass=/usr/lib/$(GRASS) \
-	                  --with-postgres-includes=$(shell pg_config --includedir)
+	                  -DAUTOLOAD_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/gdalplugins \
+	                  -DBUILD_TESTING=OFF
 
 override_dh_shlibdeps:
 	dh_shlibdeps -l.:/usr/lib/$(GRASS)/lib

=== debian/tests/control ===
Tests: gdalinfo-ogrinfo
Depends: ca-certificates,
         gdal-bin,
         libgdal-grass,
         wget
Restrictions: needs-internet, skippable

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
filenamemangle=s/(?:.*\/)?(?:rel|v|gdal-grass)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/gdal-grass-$1.$2/ \
https://github.com/OSGeo/gdal-grass/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|gdal-grass)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## libgdal-grass 1.7.3

=== debian/control ===
Source: libgdal-grass
Section: science
Priority: extra
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends: debhelper (>= 8), d-shlibs, libgdal1-dev (>= 1.7.0-2~), pkg-config, grass-dev (>= 6.4.0~rc5), 
 grass (>= 6.4.0~rc5), libproj-dev
Standards-Version: 3.9.1
Homepage: http://www.gdal.org/
Vcs-Browser: http://git.debian.org/?p=pkg-grass/gdal-grass.git
Vcs-Git: git://git.debian.org/git/pkg-grass/gdal-grass.git

Package: libgdal1-1.7.0-grass
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, grass640, ${misc:Depends}
Recommends: gdal-bin
Description: GRASS extension for the GDAL library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. This extension
 provides access to GRASS data via GDAL.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Debian package by Alessandro Amici 2002-2003. 
# Maintained by DebianGis team since 2005.
# Based on: GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKGNAME=$(shell grep Package: debian/control.in|cut -d' ' -f2)
GRASS=grass$(subst .,,$(shell pkg-config --modversion grass|cut -d. -f1,2))
GRASS_ABI=grass$(subst .,,$(shell pkg-config --modversion grass|cut -d. -f1,2,3|sed -e 's/RC/-/'))
GDAL=$(shell cat VERSION|cut -d. -f1,2)

# Abort if source and gdal have not the same versions.
ifneq ($(shell gdal-config --version),$(shell cat VERSION))
$(error GDAL version and GDAL GRASS plugin version are not aligned. Please, upload a proper plugin source version.)
endif

debian/control: debian/control.in
	sed -e 's/@GRASS_ABI@/$(GRASS_ABI)/'  $< >$@

lintian-overrides: debian/$(PKGNAME).lintian-overrides
debian/$(PKGNAME).lintian-overrides: debian/lintian-overrides.in
	sed -e 's/@GDAL@/$(GDAL)/' -e 's/@GRASS@/$(GRASS)/' -e 's/@PKGNAME@/$(PKGNAME)/' $< >$@

config.status: debian/control lintian-overrides
	dh_testdir
	
	@echo "Depending on $(GRASS)"
	if [ `grep "$(GRASS_ABI)" debian/control|wc -l` -eq 0 ]; then \
		sed -e 's/@GRASS_ABI@/$(GRASS_ABI)/' debian/control.in >debian/control; \
	fi
	./configure --prefix=/usr --with-grass=/usr/lib/$(GRASS) --with-autoload=/usr/lib/gdalplugins/$(GDAL)

build: build-stamp
build-stamp: config.status
	dh_testdir

	$(MAKE) 

	touch build-stamp

clean: 
	dh_testdir
	dh_testroot

	[ ! -f $(CURDIR)/Makefile ] || $(MAKE) distclean

	dh_clean config.status

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	mkdir -p $(CURDIR)/debian/$(PKGNAME)/usr/lib/$(GDAL)/grass
	$(MAKE) install AUTOLOAD_DIR=$(CURDIR)/debian/$(PKGNAME)/usr/lib/gdalplugins/$(GDAL) \
		        GRASSTABLES_DIR=$(CURDIR)/debian/$(PKGNAME)/usr/lib/$(GDAL)/grass
	# removes redundant stuff already installed by grass
	rm -rf $(CURDIR)/debian/$(PKGNAME)/usr/lib/$(GDAL)

binary-indep: build install
# Do nothing

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps -l.:/usr/lib/$(GRASS)/lib 
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

.PHONY: build clean binary-arch binary-indep binary install lintian-overrides

## libgdal-grass 1.9.0

=== debian/changelog ===
libgdal-grass (1.9.0-1build1) saucy; urgency=low

  * No change rebuild against grass643.

 -- Stefano Rivera <stefanor@ubuntu.com>  Thu, 19 Sep 2013 15:04:32 +0200

=== debian/control ===
Source: libgdal-grass
Section: science
Priority: extra
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends: debhelper (>= 8), d-shlibs, libgdal-dev (>= 1.9.0), pkg-config, grass-dev (>= 6.4.0~rc5), 
 grass (>= 6.4.0~rc5), libproj-dev
Standards-Version: 3.9.3
Homepage: http://www.gdal.org/
Vcs-Browser: http://git.debian.org/?p=pkg-grass/gdal-grass.git
Vcs-Git: git://git.debian.org/git/pkg-grass/gdal-grass.git

Package: libgdal1-1.9.0-grass
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, grass641, ${misc:Depends}
Recommends: gdal-bin
Description: GRASS extension for the GDAL library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. This extension
 provides access to GRASS data via GDAL.

## libgdal-grass 1.10.1

=== debian/control ===
Source: libgdal-grass
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@xs4all.nl>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               d-shlibs,
               libgdal-dev (>= 1.10.1-0~),
               pkg-config,
               grass-dev (>= 6.4.0~rc5),
               grass (>= 6.4.0~rc5),
               libproj-dev,
               dh-autoreconf
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/gdal-grass.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/gdal-grass.git
Homepage: http://www.gdal.org/

Package: libgdal1-1.10.1-grass
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         grass644,
         ${misc:Depends}
Recommends: gdal-bin
Description: GRASS extension for the GDAL library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. This extension
 provides access to GRASS data via GDAL.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKGNAME=$(shell grep Package: debian/control.in|cut -d' ' -f2)
GRASS=grass$(subst .,,$(shell pkg-config --modversion grass|cut -d. -f1,2))
GRASS_ABI=grass$(subst .,,$(shell pkg-config --modversion grass|cut -d. -f1,2,3|sed -e 's/RC/-/'))
GDAL=$(shell cat VERSION|cut -d. -f1,2)

# Abort if source and gdal have not the same versions.
ifneq ($(shell gdal-config --version),$(shell cat VERSION))
$(error GDAL version and GDAL GRASS plugin version are not aligned. Please, upload a proper plugin source version.)
endif

%:
	dh $@ --with autoreconf --parallel

override_dh_autoreconf:
	mv configure configure.pre-autoreconf
	dh_autoreconf

override_dh_autoreconf_clean:
	dh_autoreconf_clean
	if [ -e "configure.pre-autoreconf" ]; then \
		mv configure.pre-autoreconf configure ; \
	fi

override_dh_auto_configure:
	sed -e 's/@GRASS_ABI@/$(GRASS_ABI)/' debian/control.in > debian/control

	sed -e 's/@GDAL@/$(GDAL)/' -e 's/@GRASS@/$(GRASS)/' -e 's/@PKGNAME@/$(PKGNAME)/' debian/lintian-overrides.in > debian/$(PKGNAME).lintian-overrides

	@echo "Depending on $(GRASS)"
	if [ `grep "$(GRASS_ABI)" debian/control|wc -l` -eq 0 ]; then \
		sed -e 's/@GRASS_ABI@/$(GRASS_ABI)/' debian/control.in > debian/control; \
	fi

	dh_auto_configure -- --prefix=/usr --with-grass=/usr/lib/$(GRASS) --with-autoload=/usr/lib/gdalplugins/$(GDAL)

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/$(PKGNAME)/usr/lib/$(GDAL)/grass

	$(MAKE) install AUTOLOAD_DIR=$(CURDIR)/debian/$(PKGNAME)/usr/lib/gdalplugins/$(GDAL) \
			GRASSTABLES_DIR=$(CURDIR)/debian/$(PKGNAME)/usr/lib/$(GDAL)/grass

	# removes redundant stuff already installed by grass
	rm -rf $(CURDIR)/debian/$(PKGNAME)/usr/lib/$(GDAL)

override_dh_shlibdeps:
	dh_shlibdeps -l.:/usr/lib/$(GRASS)/lib

## libgdal-grass 1.11.2

=== debian/changelog ===
libgdal-grass (1.11.2-1~exp1ubuntu1) vivid; urgency=medium

  * Lower grass build-dep to 6.4 and drop patches supporting 7.0.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 18 Mar 2015 15:22:28 -0600

=== debian/control ===
Source: libgdal-grass
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               d-shlibs,
               libgdal-dev (>= 1.11.2-1~),
               pkg-config,
               grass-dev (>= 6.4),
               grass (>= 6.4),
               libproj-dev,
               dh-autoreconf
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/gdal-grass.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/gdal-grass.git -b experimental
Homepage: http://www.gdal.org/

Package: libgdal1-1.11.2-grass
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         grass700-2,
         ${misc:Depends}
Recommends: gdal-bin
Description: GRASS extension for the GDAL library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. This extension
 provides access to GRASS data via GDAL.

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,6 @@
 GRASS=grass$(subst .,,$(shell pkg-config --modversion grass|cut -d. -f1,2))
 GRASS_ABI=grass$(subst .,,$(shell pkg-config --modversion grass|cut -d. -f1,2,3|sed -e 's/RC/-/'))
 GDAL=$(shell cat VERSION|cut -d. -f1,2)
-
-# Abort if source and gdal have not the same versions.
-ifneq ($(shell gdal-config --version),$(shell cat VERSION))
-$(error GDAL version and GDAL GRASS plugin version are not aligned. Please, upload a proper plugin source version.)
-endif
 
 %:
 	dh $@ --with autoreconf --parallel
@@ -28,6 +23,12 @@
 	fi
 
 override_dh_auto_configure:
+	# Abort if source and gdal have not the same versions.
+	if [ `gdal-config --version` != `cat VERSION` ]; then \
+		echo "GDAL version and GDAL GRASS plugin version are not aligned. Please, upload a proper plugin source version."; \
+		exit 1; \
+	fi
+
 	sed -e 's/@GRASS_ABI@/$(GRASS_ABI)/' debian/control.in > debian/control
 
 	sed -e 's/@GDAL@/$(GDAL)/' -e 's/@GRASS@/$(GRASS)/' -e 's/@PKGNAME@/$(PKGNAME)/' debian/lintian-overrides.in > debian/$(PKGNAME).lintian-overrides

## libgdal-grass 1.11.3

=== debian/control ===
Source: libgdal-grass
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               d-shlibs,
               grass (>= 7.0.3),
               grass-dev (>= 7.0.3),
               libgdal-dev (>= 1.11.3-1~),
               libproj-dev,
               libpq-dev,
               pkg-config
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/gdal-grass.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/gdal-grass.git
Homepage: http://www.gdal.org/

Package: libgdal1-1.11.3-grass
Architecture: any
Section: libs
Depends: grass703,
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: gdal-bin
Description: GRASS extension for the GDAL library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. This extension
 provides access to GRASS data via GDAL.

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,11 @@
 		sed -e 's/@GRASS_ABI@/$(GRASS_ABI)/' debian/control.in > debian/control; \
 	fi
 
-	dh_auto_configure -- --prefix=/usr --with-grass=/usr/lib/$(GRASS) --with-autoload=/usr/lib/gdalplugins/$(GDAL)
+	dh_auto_configure -- \
+	                  --prefix=/usr \
+	                  --with-autoload=/usr/lib/gdalplugins/$(GDAL) \
+	                  --with-grass=/usr/lib/$(GRASS) \
+	                  --with-postgres-includes=$(shell pg_config --includedir)
 
 override_dh_auto_install:
 	mkdir -p $(CURDIR)/debian/$(PKGNAME)/usr/lib/$(GDAL)/grass
@@ -52,3 +56,7 @@
 override_dh_shlibdeps:
 	dh_shlibdeps -l.:/usr/lib/$(GRASS)/lib 
 
+override_dh_strip:
+	# Debug files contain no debug symbols
+	dh_strip --no-automatic-dbgsym
+

=== debian/watch ===
version=3
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
http://trac.osgeo.org/gdal/wiki/DownloadSource \
(?:|.*/)gdal(?:[_\-]v?|)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## libgdal-grass 2.1.0

=== debian/control ===
--- 
+++ 
@@ -7,21 +7,21 @@
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                d-shlibs,
-               grass (>= 7.0.3),
-               grass-dev (>= 7.0.3),
-               libgdal-dev (>= 1.11.3-1~),
+               grass (>= 7.0.4),
+               grass-dev (>= 7.0.4),
+               libgdal-dev (>= 2.1.0),
                libproj-dev,
                libpq-dev,
                pkg-config
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/gdal-grass.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/gdal-grass.git
 Homepage: http://www.gdal.org/
 
-Package: libgdal1-1.11.3-grass
+Package: libgdal20-2.1.0-grass
 Architecture: any
 Section: libs
-Depends: grass703,
+Depends: grass704,
          ${shlibs:Depends},
          ${misc:Depends}
 Recommends: gdal-bin

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,9 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+# Enable hardening build flags
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
 
 PKGNAME=$(shell grep Package: debian/control.in|cut -d' ' -f2)
 GRASS=grass$(subst .,,$(shell pkg-config --modversion grass|cut -d. -f1,2))

## libgdal-grass 2.1.1

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                d-shlibs,
                grass (>= 7.0.4),
                grass-dev (>= 7.0.4),
-               libgdal-dev (>= 2.1.0),
+               libgdal-dev (>= 2.1.1),
                libproj-dev,
                libpq-dev,
                pkg-config
@@ -18,7 +18,7 @@
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/gdal-grass.git
 Homepage: http://www.gdal.org/
 
-Package: libgdal20-2.1.0-grass
+Package: libgdal20-2.1.1-grass
 Architecture: any
 Section: libs
 Depends: grass704,
@@ -30,4 +30,19 @@
  As a library, it presents a single abstract data model to the
  calling application for all supported formats. This extension
  provides access to GRASS data via GDAL.
+ .
+ This package provides the GDAL GRASS plugin.
 
+Package: libgdal-grass
+Architecture: all
+Section: metapackages
+Depends: libgdal20-2.1.1-grass,
+         ${misc:Depends}
+Description: GRASS extension for the GDAL library - metapackage
+ GDAL is a translator library for raster geospatial data formats.
+ As a library, it presents a single abstract data model to the
+ calling application for all supported formats. This extension
+ provides access to GRASS data via GDAL.
+ .
+ This metapackage depends on the version specific library package.
+

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,21 @@
 # Enable hardening build flags
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
 
-PKGNAME=$(shell grep Package: debian/control.in|cut -d' ' -f2)
-GRASS=grass$(subst .,,$(shell pkg-config --modversion grass|cut -d. -f1,2))
-GRASS_ABI=grass$(subst .,,$(shell pkg-config --modversion grass|cut -d. -f1,2,3|sed -e 's/RC/-/'))
-GDAL=$(shell cat VERSION|cut -d. -f1,2)
+PKGNAME=$(shell grep Package: debian/control.in | head -1 | cut -d' ' -f2)
+GRASS=grass$(subst .,,$(shell pkg-config --modversion grass | cut -d. -f1,2))
+GRASS_ABI=grass$(subst .,,$(shell pkg-config --modversion grass | cut -d. -f1,2,3 | sed -e 's/RC/-/'))
+GDAL=$(shell cat VERSION | cut -d. -f1,2)
+
+TEMPLATES=$(wildcard debian/*.in)
+
+templates:
+	for TEMPLATE in $(TEMPLATES) ; do \
+	    sed -e 's/@GDAL@/$(GDAL)/g' \
+	        -e 's/@GRASS@/$(GRASS)/g' \
+	        -e 's/@GRASS_ABI@/$(GRASS_ABI)/g' \
+	        -e 's/@PKGNAME@/$(PKGNAME)/g' \
+	        $$TEMPLATE > `echo $$TEMPLATE | sed 's/.in$$//'` ; \
+	done
 
 %:
 	dh $@ --with autoreconf --parallel
@@ -25,20 +36,11 @@
 		mv configure.pre-autoreconf configure ; \
 	fi
 
-override_dh_auto_configure:
+override_dh_auto_configure: templates
 	# Abort if source and gdal have not the same versions.
 	if [ `gdal-config --version` != `cat VERSION` ]; then \
 		echo "GDAL version and GDAL GRASS plugin version are not aligned. Please, upload a proper plugin source version."; \
 		exit 1; \
-	fi
-
-	sed -e 's/@GRASS_ABI@/$(GRASS_ABI)/' debian/control.in > debian/control
-
-	sed -e 's/@GDAL@/$(GDAL)/' -e 's/@GRASS@/$(GRASS)/' -e 's/@PKGNAME@/$(PKGNAME)/' debian/lintian-overrides.in > debian/$(PKGNAME).lintian-overrides
-
-	@echo "Depending on $(GRASS)"
-	if [ `grep "$(GRASS_ABI)" debian/control|wc -l` -eq 0 ]; then \
-		sed -e 's/@GRASS_ABI@/$(GRASS_ABI)/' debian/control.in > debian/control; \
 	fi
 
 	dh_auto_configure -- \

## libgdal-grass 2.1.2

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                d-shlibs,
-               grass (>= 7.0.4),
-               grass-dev (>= 7.0.4),
-               libgdal-dev (>= 2.1.1),
+               grass (>= 7.2.0),
+               grass-dev (>= 7.2.0),
+               libgdal-dev (>= 2.1.2),
                libproj-dev,
                libpq-dev,
                pkg-config
@@ -18,10 +18,10 @@
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/gdal-grass.git
 Homepage: http://www.gdal.org/
 
-Package: libgdal20-2.1.1-grass
+Package: libgdal20-2.1.2-grass
 Architecture: any
 Section: libs
-Depends: grass704,
+Depends: grass720,
          ${shlibs:Depends},
          ${misc:Depends}
 Recommends: gdal-bin
@@ -36,7 +36,7 @@
 Package: libgdal-grass
 Architecture: all
 Section: metapackages
-Depends: libgdal20-2.1.1-grass,
+Depends: libgdal20-2.1.2-grass,
          ${misc:Depends}
 Description: GRASS extension for the GDAL library - metapackage
  GDAL is a translator library for raster geospatial data formats.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 # Enable hardening build flags
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 PKGNAME=$(shell grep Package: debian/control.in | head -1 | cut -d' ' -f2)
 GRASS=grass$(subst .,,$(shell pkg-config --modversion grass | cut -d. -f1,2))

## libgdal-grass 2.2.1

=== debian/changelog ===
libgdal-grass (2.2.1-1build1) artful; urgency=medium

  * Rebuild against new gdal ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Jul 2017 13:03:24 +0200

=== debian/control ===
Source: libgdal-grass
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               d-shlibs,
               grass (>= 7.2.1),
               grass-dev (>= 7.2.1),
               libgdal-dev (>= 2.2.1),
               libproj-dev,
               libpq-dev,
               pkg-config
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/gdal-grass.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/gdal-grass.git
Homepage: http://www.gdal.org/

Package: libgdal-grass
Architecture: any
Section: libs
Depends: grass721,
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: gdal-bin
Description: GRASS extension for the GDAL library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. This extension
 provides access to GRASS data via GDAL.
 .
 This package provides the GDAL GRASS plugin.

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,13 @@
 
 # Enable hardening build flags
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
+# Disable PIE on Ubuntu where it's still problematic
+VENDOR_DERIVES_FROM_UBUNTU ?= $(shell dpkg-vendor --derives-from Ubuntu && echo yes)
+
+ifeq ($(VENDOR_DERIVES_FROM_UBUNTU),yes)
+	export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+endif
 
 PKGNAME=$(shell grep Package: debian/control.in | head -1 | cut -d' ' -f2)
 GRASS=grass$(subst .,,$(shell pkg-config --modversion grass | cut -d. -f1,2))

## libgdal-grass 2.2.3

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,12 @@
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                d-shlibs,
-               grass (>= 7.2.1),
-               grass-dev (>= 7.2.1),
-               libgdal-dev (>= 2.2.1),
-               libproj-dev,
+               grass (>= 7.4.0),
+               grass-dev (>= 7.4.0),
+               libgdal-dev (>= 2.2.3),
                libpq-dev,
                pkg-config
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/gdal-grass.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/gdal-grass.git
 Homepage: http://www.gdal.org/
@@ -21,7 +20,7 @@
 Package: libgdal-grass
 Architecture: any
 Section: libs
-Depends: grass721,
+Depends: ${grass:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
 Recommends: gdal-bin

=== debian/rules ===
--- 
+++ 
@@ -14,21 +14,10 @@
 	export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
 endif
 
-PKGNAME=$(shell grep Package: debian/control.in | head -1 | cut -d' ' -f2)
+PKGNAME=$(shell grep Package: debian/control | head -1 | cut -d' ' -f2)
 GRASS=grass$(subst .,,$(shell pkg-config --modversion grass | cut -d. -f1,2))
 GRASS_ABI=grass$(subst .,,$(shell pkg-config --modversion grass | cut -d. -f1,2,3 | sed -e 's/RC/-/'))
 GDAL=$(shell cat VERSION | cut -d. -f1,2)
-
-TEMPLATES=$(wildcard debian/*.in)
-
-templates:
-	for TEMPLATE in $(TEMPLATES) ; do \
-	    sed -e 's/@GDAL@/$(GDAL)/g' \
-	        -e 's/@GRASS@/$(GRASS)/g' \
-	        -e 's/@GRASS_ABI@/$(GRASS_ABI)/g' \
-	        -e 's/@PKGNAME@/$(PKGNAME)/g' \
-	        $$TEMPLATE > `echo $$TEMPLATE | sed 's/.in$$//'` ; \
-	done
 
 %:
 	dh $@ --with autoreconf --parallel
@@ -43,7 +32,7 @@
 		mv configure.pre-autoreconf configure ; \
 	fi
 
-override_dh_auto_configure: templates
+override_dh_auto_configure:
 	# Abort if source and gdal have not the same versions.
 	if [ `gdal-config --version` != `cat VERSION` ]; then \
 		echo "GDAL version and GDAL GRASS plugin version are not aligned. Please, upload a proper plugin source version."; \
@@ -66,9 +55,11 @@
 	rm -rf $(CURDIR)/debian/$(PKGNAME)/usr/lib/$(GDAL)
 
 override_dh_shlibdeps:
-	dh_shlibdeps -l.:/usr/lib/$(GRASS)/lib 
+	dh_shlibdeps -l.:/usr/lib/$(GRASS)/lib
 
 override_dh_strip:
 	# Debug files contain no debug symbols
 	dh_strip --no-automatic-dbgsym
 
+override_dh_gencontrol:
+	dh_gencontrol -- -Vgrass:Depends="$(GRASS_ABI)"

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/ \
https://trac.osgeo.org/gdal/wiki/DownloadSource \
(?:|.*/)gdal(?:[_\-]v?|)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## libgdal-grass 2.3.1

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,15 @@
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                d-shlibs,
-               grass (>= 7.4.0),
-               grass-dev (>= 7.4.0),
-               libgdal-dev (>= 2.2.3),
+               grass (>= 7.4.1),
+               grass-dev (>= 7.4.1),
+               libgdal-dev (>= 2.3.1),
                libpq-dev,
+               lsb-release,
                pkg-config
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/gdal-grass.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/gdal-grass.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/gdal-grass
+Vcs-Git: https://salsa.debian.org/debian-gis-team/gdal-grass.git
 Homepage: http://www.gdal.org/
 
 Package: libgdal-grass
@@ -31,4 +32,3 @@
  provides access to GRASS data via GDAL.
  .
  This package provides the GDAL GRASS plugin.
-

## libgdal-grass 2.4.0

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                d-shlibs,
-               grass (>= 7.4.1),
-               grass-dev (>= 7.4.1),
-               libgdal-dev (>= 2.3.1),
+               grass (>= 7.6.0),
+               grass-dev (>= 7.6.0),
+               libgdal-dev (>= 2.4.0),
                libpq-dev,
                lsb-release,
                pkg-config
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/gdal-grass
 Vcs-Git: https://salsa.debian.org/debian-gis-team/gdal-grass.git
 Homepage: http://www.gdal.org/

=== debian/rules ===
--- 
+++ 
@@ -9,15 +9,18 @@
 
 # Disable PIE on Ubuntu where it's still problematic
 VENDOR_DERIVES_FROM_UBUNTU ?= $(shell dpkg-vendor --derives-from Ubuntu && echo yes)
+DISTRIBUTION_RELEASE       := $(shell lsb_release -cs)
 
 ifeq ($(VENDOR_DERIVES_FROM_UBUNTU),yes)
-	export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+  ifneq (,$(filter $(DISTRIBUTION_RELEASE),trusty xenial bionic))
+    export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+  endif
+  export DEB_LDFLAGS_MAINT_APPEND=-Wl,--no-as-needed
 endif
 
 PKGNAME=$(shell grep Package: debian/control | head -1 | cut -d' ' -f2)
 GRASS=grass$(subst .,,$(shell pkg-config --modversion grass | cut -d. -f1,2))
 GRASS_ABI=grass$(subst .,,$(shell pkg-config --modversion grass | cut -d. -f1,2,3 | sed -e 's/RC/-/'))
-GDAL=$(shell cat VERSION | cut -d. -f1,2)
 
 %:
 	dh $@ --with autoreconf --parallel
@@ -41,18 +44,12 @@
 
 	dh_auto_configure -- \
 	                  --prefix=/usr \
-	                  --with-autoload=/usr/lib/gdalplugins/$(GDAL) \
+	                  --with-autoload=/usr/lib/gdalplugins \
 	                  --with-grass=/usr/lib/$(GRASS) \
 	                  --with-postgres-includes=$(shell pg_config --includedir)
 
 override_dh_auto_install:
-	mkdir -p $(CURDIR)/debian/$(PKGNAME)/usr/lib/$(GDAL)/grass
-
-	$(MAKE) install AUTOLOAD_DIR=$(CURDIR)/debian/$(PKGNAME)/usr/lib/gdalplugins/$(GDAL) \
-			GRASSTABLES_DIR=$(CURDIR)/debian/$(PKGNAME)/usr/lib/$(GDAL)/grass
-
-	# removes redundant stuff already installed by grass
-	rm -rf $(CURDIR)/debian/$(PKGNAME)/usr/lib/$(GDAL)
+	dh_auto_install -- AUTOLOAD_DIR=$(CURDIR)/debian/$(PKGNAME)/usr/lib/gdalplugins
 
 override_dh_shlibdeps:
 	dh_shlibdeps -l.:/usr/lib/$(GRASS)/lib

## libgdal-grass 2.4.1

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                d-shlibs,
-               grass (>= 7.6.0),
-               grass-dev (>= 7.6.0),
-               libgdal-dev (>= 2.4.0),
+               grass (>= 7.6.1),
+               grass-dev (>= 7.6.1),
+               libgdal-dev (>= 2.4.1),
                libpq-dev,
                lsb-release,
                pkg-config
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/gdal-grass
-Vcs-Git: https://salsa.debian.org/debian-gis-team/gdal-grass.git
+Vcs-Git: https://salsa.debian.org/debian-gis-team/gdal-grass.git -b experimental
 Homepage: http://www.gdal.org/
 
 Package: libgdal-grass

## libgdal-grass 2.4.2

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
                d-shlibs,
                grass (>= 7.6.1),
                grass-dev (>= 7.6.1),
-               libgdal-dev (>= 2.4.1),
+               libgdal-dev (>= 2.4.2),
                libpq-dev,
                lsb-release,
                pkg-config
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/gdal-grass
-Vcs-Git: https://salsa.debian.org/debian-gis-team/gdal-grass.git -b experimental
+Vcs-Git: https://salsa.debian.org/debian-gis-team/gdal-grass.git
 Homepage: http://www.gdal.org/
 
 Package: libgdal-grass
